<?php
#Автор - TheAlex
#Модуль - газета
#Php-Zona.Ru
#2014 год
$title = 'Новость';
require_once ('../system/function.php');
$id=strong($_GET['id']);
$news=mysql_query("SELECT * FROM `gazeta_n` WHERE id='".$id."'");
while ($newsq=mysql_fetch_row($news)) {
$title = 'Коментарийи к новостью '.$newsq['1'].'';
}
require_once ('../system/header.php');
if(!$user['id']) {
	echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
$id=strong($_GET['id']);
if (isset($_POST['komentir'])) {
	$komm=strong($_POST['komm']);
	mysql_query("INSERT INTO `gazeta_komm` SET komm='".$komm."', id_user='".$user['id']."', time='".time()."', id_news='".$id."'");
}

echo '<div class="podmenu">Ваш коментарий:<br/>
<form action="" method="POST"><textarea name="komm"></textarea><br/>
<input type="submit" name="komentir" value="Комментировать">
</form></div>';

if (empty($user['max']))
$user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gazeta_komm` WHERE `id_news` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$gazeta_komm = mysql_query("SELECT * FROM `gazeta_komm` WHERE `id_news` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($gazeta_komm)) {
	echo '<div class="podmenu">'.nick($a['id_user']).' '.vremja($a['time']).'<br/>'.$a['komm'].'';
	if($user['level'] > 1)
 		echo ' [<a href="../gazeta/del_n.php?id='.$a['id'].'">удалить</a>|<a href="../gazeta/edit_n.php?id='.$a['id'].'">ред</a>]';
	echo '</div>';
}

 if($k_post < 1)
 	echo '<div class="podmenu"><b><center>Коментариев пока нет, станьте первым!</center></b></div>';
if($k_page>1)
 	echo str(''.$HOME.'/gazeta/komm.php?id='.$id.'&',$k_page,$page);

require_once ('../system/footer.php');
?>